light-mode-image
Learn
API ReferenceCustom domain

Update custom domain

Roles

adminissuerverifierdts-providermanaged-issuer

Analytics Events

CONFIG_CUSTOM_DOMAIN_UPDATE_STARTCONFIG_CUSTOM_DOMAIN_UPDATE_SUCCESSCONFIG_CUSTOM_DOMAIN_UPDATE_FAIL
PUT/v1/config/domain

Updates the custom domain configuration.

Analytic events

  • CONFIG_CUSTOM_DOMAIN_UPDATE_START
  • CONFIG_CUSTOM_DOMAIN_UPDATE_SUCCESS
  • CONFIG_CUSTOM_DOMAIN_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X PUT "https://example.vii.au01.mattr.global/v1/config/domain" \  -H "Content-Type: application/json" \  -d '{    "name": "Example Corp",    "logoUrl": "https://cdn.example.com/logo.jpg",    "domain": "example.com"  }'
{
  "name": "Example Corp",
  "logoUrl": "https://cdn.example.com/logo.icon",
  "domain": "example.com",
  "verificationToken": "8c6f36c1-91ff-439d-a518-48cf7ef421ef",
  "isVerified": true,
  "verifiedAt": "2021-04-15T07:37:25.008Z"
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

How would you rate this page?